Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry
Class ExponentialBackoffScheduledMessage

    java.lang.Object
      rice.selector.TimerTask
          rice.pastry.ScheduledMessage
              rice.pastry.ExponentialBackoffScheduledMessage

All Implemented Interfaces:
  CancellableTask, java.lang.Comparable

public class ExponentialBackoffScheduledMessage
extends ScheduledMessage

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments

Field Summary

Fields inherited from class rice.selector.TimerTask
`fixedRate, nextExecutionTime, period`

Constructor Summary
`ExponentialBackoffScheduledMessage(PastryNode node, Message msg, Timer timer, long initialDelay, double expBase)` Constructor for ExponentialBackoffScheduledMessage.
`ExponentialBackoffScheduledMessage(PastryNode node, Message msg, Timer timer, long delay, long initialPeriod, double expBase)`

Method Summary
`boolean` | `cancel()` DESCRIBE THE METHOD
`void` | `run()` Main processing method for the ExponentialBackoffScheduledMessage object
`long` | `scheduledExecutionTime()` DESCRIBE THE METHOD

Methods inherited from class rice.pastry.ScheduledMessage
`getLocalNode, getMessage, toString`

Methods inherited from class rice.selector.TimerTask
`compareTo, execute, isCancelled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExponentialBackoffScheduledMessage

    public ExponentialBackoffScheduledMessage(PastryNode node,
                                              Message msg,
                                              Timer timer,
                                              long delay,
                                              long initialPeriod,
                                              double expBase)

Parameters:
  `node` -
  `msg` -
  `initialPeriod` -
  `expBase` -
  `timer` - DESCRIBE THE PARAMETER
  `delay` - DESCRIBE THE PARAMETER

### ExponentialBackoffScheduledMessage

    public ExponentialBackoffScheduledMessage(PastryNode node,
                                              Message msg,
                                              Timer timer,
                                              long initialDelay,
                                              double expBase)

  Constructor for ExponentialBackoffScheduledMessage.

Parameters:
  `node` - DESCRIBE THE PARAMETER
  `msg` - DESCRIBE THE PARAMETER
  `timer` - DESCRIBE THE PARAMETER
  `initialDelay` - DESCRIBE THE PARAMETER
  `expBase` - DESCRIBE THE PARAMETER

Method Detail

### cancel

    public boolean cancel()

  DESCRIBE THE METHOD

  Specified by:
    `cancel` in interface `CancellableTask`
  Overrides:
    `cancel` in class `ScheduledMessage`
  Returns:
    DESCRIBE THE RETURN VALUE

### run

    public void run()

  Main processing method for the ExponentialBackoffScheduledMessage object

  Specified by:
    `run` in interface `CancellableTask`
  Overrides:
    `run` in class `ScheduledMessage`

### scheduledExecutionTime

    public long scheduledExecutionTime()

  DESCRIBE THE METHOD

  Specified by:
    `scheduledExecutionTime` in interface `CancellableTask`
  Overrides:
    `scheduledExecutionTime` in class `TimerTask`
  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.